GET api/ProductInfo?productlistId={productlistId}&customerId={customerId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| productlistId | integer |
Required |
|
| customerId | string |
Required |
Body Parameters
None.
Response Information
Resource Description
ProductInfoViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| productlistId | integer |
None. |
|
| model | string |
None. |
|
| quantity | integer |
None. |
|
| Description | string |
None. |
|
| weight_grams | decimal number |
None. |
|
| volume_cm3 | integer |
None. |
|
| product_image | string |
None. |
|
| abbr | string |
None. |
|
| model_public | string |
None. |
|
| description_public | string |
None. |
|
| dateUpdated | date |
None. |
|
| status | string |
None. |
|
| productbrandid | integer |
None. |
|
| productbrandname | string |
None. |
|
| marketvalueGBP | decimal number |
None. |
|
| marketvalueEuro | decimal number |
None. |
|
| marketvalueUSD | decimal number |
None. |
|
| actionId | integer |
None. |
|
| productActionName | string |
None. |
|
| producttypeid | string |
None. |
|
| productcategory | integer |
None. |
|
| ProductCatergoryName | string |
None. |
|
| productcondition | integer |
None. |
|
| conditionName | string |
None. |
|
| stockCount | integer |
None. |
|
| stockBoxQuantity | integer |
None. |
|
| stockAmended | string |
None. |
|
| lastAmendedDate | date |
None. |
|
| lastIncrementDate | date |
None. |
|
| lastAmendedDateValue | string |
None. |
|
| lastAmendedTimeValue | string |
None. |
|
| lastIncrementDateValue | string |
None. |
|
| lastIncrementTimeValue | string |
None. |
|
| IMP | decimal number |
None. |
|
| AMP | decimal number |
None. |
|
| AMPeuro | decimal number |
None. |
|
| AMPusd | decimal number |
None. |
|
| IMPeuro | decimal number |
None. |
|
| IMPusd | decimal number |
None. |
Response Formats
application/json, text/json
Sample:
{
"productlistId": 1,
"model": "sample string 2",
"quantity": 3,
"description": "sample string 4",
"weight_grams": 5.0,
"volume_cm3": 6,
"product_image": "sample string 7",
"abbr": "sample string 8",
"model_public": "sample string 9",
"description_public": "sample string 10",
"dateUpdated": "2026-03-11T04:42:33.3273394+00:00",
"status": "sample string 11",
"productbrandid": 12,
"productbrandname": "sample string 13",
"marketvalueGBP": 1.0,
"marketvalueEuro": 1.0,
"marketvalueUSD": 1.0,
"actionId": 1,
"productActionName": "sample string 14",
"producttypeid": "sample string 15",
"productcategory": 1,
"productCatergoryName": "sample string 16",
"productcondition": 1,
"conditionName": "sample string 17",
"stockCount": 18,
"stockBoxQuantity": 1,
"stockAmended": "sample string 19",
"lastAmendedDate": "2026-03-11T04:42:33.3273394+00:00",
"lastIncrementDate": "2026-03-11T04:42:33.3273394+00:00",
"lastAmendedDateValue": "sample string 20",
"lastAmendedTimeValue": "sample string 21",
"lastIncrementDateValue": "sample string 22",
"lastIncrementTimeValue": "sample string 23",
"imp": 1.0,
"amp": 1.0,
"amPeuro": 1.0,
"amPusd": 1.0,
"imPeuro": 1.0,
"imPusd": 1.0
}